/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavp_InitAttributes (ViSession vi);
ViStatus rsavp_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavp_CheckStatus (ViSession vi);
ViStatus rsavp_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 rsavp_StringIndex(ViString array[], ViChar buff[]); 
ViStatus rsavp_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavp_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsavp_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsavp_WaitForOPCCallback (ViSession io);
ViStatus rsavp_GetAttributeRepCapName (ViSession instrSession,
                                ViUInt32 attributeID,
                                ViString repCapNameId,
                                ViInt32 value,
                                ViInt32 bufferSize,
                                ViChar _VI_FAR repCapName[]);
ViStatus rsavp_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
