/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-02 11:44:57Z
 *****************************************************************************/

#ifndef __RSAVPAA_ATTRIBUTES_HEADER
#define __RSAVPAA_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavpaa_quotedInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavpaa_quotedInt_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpaa_rngAudioAnalyzerTab;
extern RsRangeTable rsavpaa_rngAudioAnalyzerZoom;
extern RsRangeTable rsavpaa_rngAudioAnalyzerChannelCount;
extern RsRangeTable rsavpaa_rngAudioAnalyzerReferenceUnitdBrA;
extern RsRangeTable rsavpaa_rngAudioAnalyzerReferenceUnitdBrAOffset;
extern RsRangeTable rsavpaa_rngAudioAnalyzerReferenceUnitdBrB;
extern RsRangeTable rsavpaa_rngAudioAnalyzerReferenceUnitdBrBOffset;
extern RsRangeTable rsavpaa_rngAudioAnalyzerReferenceUnitdBSPL;
extern RsRangeTable rsavpaa_rngAudioAnalyzerRMSLevelUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFrequencyUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerLevelAveragingAlgorithm;
extern RsRangeTable rsavpaa_rngAudioAnalyzerLevelAverageTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerLevelAveragingTolerance;
extern RsRangeTable rsavpaa_rngAudioAnalyzerLevelAveragingSettlingTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerLevelProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNFrequencyRange;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNAveragingAlgorithm;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNAverageTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNAveragingTolerance;
extern RsRangeTable rsavpaa_rngAudioAnalyzerTHDNAveragingSettlingTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFrequencyResponseDisplayUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFrequencyResponseFFTSize;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFrequencyResponseAverageCount;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFrequencyResponseProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerSignalToNoiseUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerSignalLength;
extern RsRangeTable rsavpaa_rngAudioAnalyzerNoiseLength;
extern RsRangeTable rsavpaa_rngAudioAnalyzerSignalToNoiseProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkReferenceChannel;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkAveragingAlgorithm;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkAverageTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkAveragingTolerance;
extern RsRangeTable rsavpaa_rngAudioAnalyzerCrosstalkAveragingSettlingTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseUnit;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseReferenceChannel;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseProgress;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseAveragingAlgorithm;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseAverageTime;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseAveragingTolerance;
extern RsRangeTable rsavpaa_rngAudioAnalyzerInterchannelPhaseAveragingSettlingTime;
extern RsRangeTable rsavpaa_rngQueryAudioAnalyzerMeasurementStatus;
extern RsRangeTable rsavpaa_rngQueryAudioAnalyzerSignal;
extern RsRangeTable rsavpaa_rngAudioAnalyzerFilters;
extern RsRangeTable rsavpaa_rngAudioAnalyzerAnalogRMSLevelUnit;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPAA_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPAA_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_TAB;
extern RsAttrProperties g_RSAVPAA_ATTR_QUERY_AUDIO_ANALYZER_SIGNAL;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INPUT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ZOOM;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SAMPLE_RATE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SAMPLE_FORMAT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INPUTS_LIST;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBRA;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBRA_OFFSET;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBRB;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBRB_OFFSET;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBSPL2;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_REFERENCE_DBSPL1;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBRA;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBRA_OFFSET;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBRB;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBRB_OFFSET;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBSPL1;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_DIGITAL_REFERENCE_DBSPL2;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_RMS_LEVEL_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_ANALOG_RMS_LEVEL_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_AVERAGE_STATE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_AVERAGING_ALGORITHM;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_AVERAGE_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_AVERAGING_TOLERANCE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_LEVEL_AVERAGING_SETTLING_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_FREQUENCY_RANGE_HIGH;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_FREQUENCY_RANGE_LOW;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_AVERAGE_STATE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_AVERAGING_ALGORITHM;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_AVERAGE_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_AVERAGING_TOLERANCE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_THDN_AVERAGING_SETTLING_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_RESPONSE_DISPLAY_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_RESPONSE_FFT_SIZE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_RESPONSE_AVERAGE_COUNT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_RESPONSE_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_FREQUENCY_RESPONSE_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SIGNAL_TO_NOISE_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SIGNAL_LENGTH;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_NOISE_LENGTH;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SIGNAL_TO_NOISE_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_SIGNAL_TO_NOISE_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_REFERENCE_CHANNEL;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_AVERAGE_STATE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_AVERAGING_ALGORITHM;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_AVERAGE_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_AVERAGING_TOLERANCE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_CROSSTALK_AVERAGING_SETTLING_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_UNIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_REFERENCE_CHANNEL;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_PROGRESS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_FILTERS;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_AVERAGE_STATE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_AVERAGING_ALGORITHM;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_AVERAGE_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_AVERAGING_TOLERANCE;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_INTERCHANNEL_PHASE_AVERAGING_SETTLING_TIME;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_MEASUREMENT_INIT;
extern RsAttrProperties g_RSAVPAA_ATTR_AUDIO_ANALYZER_MEASUREMENT_ABORT;
extern RsAttrProperties g_RSAVPAA_ATTR_QUERY_AUDIO_ANALYZER_MEASUREMENT_STATUS;
extern RsAttrProperties g_RSAVPAA_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPAA_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPAA_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPAA_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPAA_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPAA_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPAA_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPAA_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPAA_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpaa_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpaa_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPAA_ATTRIBUTES_HEADER */
