/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpha_InitAttributes (ViSession vi);
ViStatus rsavpha_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpha_CheckStatus (ViSession vi);
ViStatus rsavpha_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavpha_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViStatus rsavpha_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViStatus rsavpha_invalidViBooleanRange (ViBoolean val);
ViStatus rsavpha_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
void rsavpha_ParseStatusString (ViChar buffer[], ViChar output[]);
void rsavpha_ParseStatusInt (ViChar buffer[], ViInt32 *output);
void rsavpha_ParseStatusInt64 (ViChar buffer[], ViInt64 *output);
void rsavpha_ParseStatusReal (ViChar buffer[], ViReal64 *output);
void rsavpha_ParseStatusEnum (ViChar buffer[], ViInt32 *output, ViString array[]);
ViInt32 rsavpha_StringIndex(ViString array[], ViChar buff[]);
ViStatus rsavpha_WaitForOPCCallback (ViSession instrSession);
ViInt32 rsavpha_atol (ViChar *p2buf);
ViInt64 rsavpha_atol64 (ViChar *p2buf); 
ViReal64 rsavpha_atof (ViChar *p2buf);
