/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2015-05-18 11:54:33Z
 *****************************************************************************/

#ifndef __RSAVPHG_ATTRIBUTES_HEADER
#define __RSAVPHG_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavphg_doubleQuotedInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavphg_doubleQuotedInt_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalCommand;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoCode;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalStatus;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoResolutionHDMI;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoResolutionVESA;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoFrameRate;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoPixelEncoding;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoSignalingMode;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoDeepColor;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideo3D;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoAdjustment;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoResolutionClipping;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoOffset;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoRGBOverallAmplification;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoYCbCrOverallAmplification;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoChromaAmplification;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoPixelShiftVerticalValue;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoRedLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoGreenLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoBlueLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoLumaYLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoCbPbLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoCrPrLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioSelection;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioSamplingRate;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioLevel;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioResolution;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioChannelAllocation;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalPattern;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalVideoAspectRatio;
extern RsRangeTable rsavphg_rngHDMIGeneratorEDIDOutput;
extern RsRangeTable rsavphg_rngHDMIGeneratorSignalAudioChannelFrequency;
extern RsRangeTable rsavphg_rngHDMIGeneratorHotPlugDetectState;
extern RsRangeTable rsavphg_rngHDMIAnalyzerCECAddressDestination;
extern RsRangeTable rsavphg_rngHDMIAnalyzerCECOperationCode;
extern RsRangeTable rsavphg_rngHDMIGeneratorCECOutput;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPHG_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPHG_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_HDMI_OUTPUT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_HDCP;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_HOT_PLUG_DETECT_STATE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_PATTERN;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_COMMAND;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CODE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CODE_HDMI;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CODE_VESA;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_STATUS;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_FRAME_RATE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_PIXEL_ENCODING;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_SIGNALING_MODE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_DEEP_COLOR;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_ADJUSTMENT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_RESOLUTION_CLIPPING;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_OFFSET;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_RGB_OVERALL_AMPLIFICATION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_YCBCR_OVERALL_AMPLIFICATION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CHROMA_AMPLIFICATION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_PIXEL_SHIFT_VERTICAL_STATE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_PIXEL_SHIFT_VERTICAL_VALUE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_RED_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_GREEN_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_BLUE_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_LUMA_Y_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CB_PB_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_CR_PR_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_VIDEO_DEFAULT_SETTINGS;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_SELECTION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_SAMPLING_RATE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_LEVEL;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_RESOLUTION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_CHANNEL_ALLOCATION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_CHANNEL_STATE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_CHANNEL_FREQUENCY;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_SIGNAL_AUDIO_DEFAULT_SETTINGS;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_EDID_OUTPUT;
extern RsAttrProperties g_RSAVPHG_ATTR_SAVE_HDMI_GENERATOR_EDID_OUTPUT;
extern RsAttrProperties g_RSAVPHG_ATTR_UPDATE_HDMI_GENERATOR_EDID_OUTPUT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_OUTPUT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_LOGICAL_ADDRESS;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_DESTINATION;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_OPERATION_CODE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_INIT;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_STOP;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_SEND;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_DATA_STORE;
extern RsAttrProperties g_RSAVPHG_ATTR_HDMI_GENERATOR_CEC_TEST_OUTPUT_REPORT_COUNT;
extern RsAttrProperties g_RSAVPHG_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPHG_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPHG_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPHG_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPHG_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPHG_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPHG_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPHG_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPHG_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavphg_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavphg_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPHG_ATTRIBUTES_HEADER */
