/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpma_InitAttributes (ViSession vi);
ViStatus rsavpma_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpma_CheckStatus (ViSession vi);
ViStatus rsavpma_WaitForOPCCallback (ViSession io);
ViStatus rsavpma_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViReal64 rsavpma_atof (ViChar *p2buf);
ViInt32 rsavpma_atol (ViChar *p2buf);
ViStatus rsavpma_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
void rsavpma_ParseStatusString (ViChar buffer[], ViChar output[]);
void rsavpma_ParseStatusReal (ViChar buffer[], ViReal64 *output);
void rsavpma_ParseStatusEnum (ViChar buffer[], ViInt32 *output, ViString array[]);
void rsavpma_ParseStatusInt (ViChar buffer[], ViInt32 *output);
ViInt32 rsavpma_StringIndex(ViString array[], ViChar buff[]); 
