/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-03 09:36:33Z
 *****************************************************************************/

#include "rsavpmg.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsRepCap rsavpmg_RsRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "Hardware",
        "hw1,hw2,hw3,hw4,hw5,hw6,hw7,hw8",
        "1,2,3,4,5,6,7,8"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsRangeTableEntry rsavpmg_rngMHLGeneratorOutputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MHL13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MHL21",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorOutput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorOutputEntries
};

static RsRangeTableEntry rsavpmg_rngMHLGeneratorCBUSConnectionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WAIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorCBUSConnection =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorCBUSConnectionEntries
};

static RsRangeTableEntry rsavpmg_rngMHLGeneratorSignalPatternEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CBAR1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorSignalPattern =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorSignalPatternEntries
};

static RsRangeTableEntry rsavpmg_rngMHLGeneratorSignalStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOAD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUNN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"READ",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorSignalStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorSignalStatusEntries
};

static RsRangeTableEntry rsavpmg_rngQueryMHLGeneratorExtendedDisplayInformationDataEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngQueryMHLGeneratorExtendedDisplayInformationData =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngQueryMHLGeneratorExtendedDisplayInformationDataEntries
};

static RsRangeTableEntry rsavpmg_rngMHLGeneratorCTSStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOAD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUNN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"READ",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorCTSStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorCTSStatusEntries
};

static RsRangeTableEntry rsavpmg_rngQueryMHLGeneratorCTSProgressEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngQueryMHLGeneratorCTSProgress =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rsavpmg_rngQueryMHLGeneratorCTSProgressEntries
};

static RsRangeTableEntry rsavpmg_rngMHLGeneratorCTSTestCaseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M000",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M001",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M002",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M003",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M004",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M005",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M006",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M007",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M008",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M009",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M010",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M030",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M031",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M032",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M033",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M035",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M036",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M011",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M012",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M013",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M014",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M015",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M016",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M017",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M018",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M019",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M020",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M021",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M022",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M023",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M025",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M026",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M027",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsavpmg_rngMHLGeneratorCTSTestCase =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsavpmg_rngMHLGeneratorCTSTestCaseEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsAttrProperties  g_RSAVPMG_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */VI_TRUE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_COERCEABLE_ONLY_BY_INSTR | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */"K2",
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_STOP =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_STOP,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR{Hardware}:AVG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorOutput,
  /* command            = */"ROUT{Hardware}:AVG:OSEL",
  /* integerDefault     = */RSAVPMG_VAL_MHL_OUTPUT_1_3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT_HDCP =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT_HDCP,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Output HDCP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF{Hardware}:AVG:OUTP:HDCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_CBUS_CONNECTION =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_CBUS_CONNECTION,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator CBUS Connection",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorCBUSConnection,
  /* command            = */"READ{Hardware}:AVG:OUTP:CBUS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_VBUS_POWER_CABLE =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_VBUS_POWER_CABLE,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator VBUS Power Cable",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:AVG:OUTP:VBUS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_PATTERN =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_PATTERN,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Signal Pattern",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorSignalPattern,
  /* command            = */"CONF{Hardware}:AVG:PATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_INIT =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_INIT,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Signal Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT{Hardware}:AVG SIGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_STATUS =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator Signal Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorSignalStatus,
  /* command            = */"READ{Hardware}:AVG:SIGN:CONT:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_EXTENDED_DISPLAY_INFORMATION_DATA =
{
  /* constant           = */RSAVPMG_ATTR_QUERY_MHL_GENERATOR_EXTENDED_DISPLAY_INFORMATION_DATA,
#if defined (_DEBUG)
  /* debug name         = */"Query MHL Generator Extended Display Information Data",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngQueryMHLGeneratorExtendedDisplayInformationData,
  /* command            = */"READ{Hardware}:AVG:EDID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_STATUS =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_CTS_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator CTS Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorCTSStatus,
  /* command            = */"READ{Hardware}:AVG:CTS:CONT:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_INIT =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_CTS_INIT,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator CTS Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT{Hardware}:AVG CTS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_CTS_PROGRESS =
{
  /* constant           = */RSAVPMG_ATTR_QUERY_MHL_GENERATOR_CTS_PROGRESS,
#if defined (_DEBUG)
  /* debug name         = */"Query MHL Generator CTS Progress",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsavpmg_rngQueryMHLGeneratorCTSProgress,
  /* command            = */"READ{Hardware}:AVG:CTS:CONT:PROG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_CASE =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_CASE,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator CTS Test Case",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsavpmg_rngMHLGeneratorCTSTestCase,
  /* command            = */"CONF{Hardware}:AVG:CTS:SEL",
  /* integerDefault     = */RSAVPMG_VAL_MHL_SINK_TEST_CSYNC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_OUTPUT_REPORT_COUNT =
{
  /* constant           = */RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_OUTPUT_REPORT_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"MHL Generator CTS Test Output Report Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:AVG:CTS:REP:COUN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSAVPMG_ATTR_SELF_TEST_QUERY =
{
  /* constant           = */RSAVPMG_ATTR_SELF_TEST_QUERY,
#if defined (_DEBUG)
  /* debug name         = */"Self Test Query",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"*TST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYST_VERSION =
{
  /* constant           = */RSAVPMG_ATTR_SYST_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYSTEM_RESET_ALL =
{
  /* constant           = */RSAVPMG_ATTR_SYSTEM_RESET_ALL,
#if defined (_DEBUG)
  /* debug name         = */"System Reset All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYSTEM_RESET_BASE =
{
  /* constant           = */RSAVPMG_ATTR_SYSTEM_RESET_BASE,
#if defined (_DEBUG)
  /* debug name         = */"System Reset Base",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:BASE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYSTEM_PRESET_ALL =
{
  /* constant           = */RSAVPMG_ATTR_SYSTEM_PRESET_ALL,
#if defined (_DEBUG)
  /* debug name         = */"System Preset All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYSTEM_PRESET_BASE =
{
  /* constant           = */RSAVPMG_ATTR_SYSTEM_PRESET_BASE,
#if defined (_DEBUG)
  /* debug name         = */"System Preset Base",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES:BASE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSAVPMG_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSAVPMG_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSAVPMG_ATTR_DISPLAY_UPDATE =
{
  /* constant           = */RSAVPMG_ATTR_DISPLAY_UPDATE,
#if defined (_DEBUG)
  /* debug name         = */"Display Update",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DISP:UPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsAttrPropertiesPtr rsavpmg_RsAttrPropertiesList[] =
{
&g_RSAVPMG_RS_ATTR_RANGE_CHECK,
&g_RSAVPMG_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSAVPMG_RS_ATTR_CACHE,
&g_RSAVPMG_RS_ATTR_SIMULATE,
&g_RSAVPMG_RS_ATTR_RECORD_COERCIONS,
&g_RSAVPMG_RS_ATTR_INTERCHANGE_CHECK,
&g_RSAVPMG_RS_ATTR_SPY,
&g_RSAVPMG_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSAVPMG_RS_ATTR_GROUP_CAPABILITIES,
&g_RSAVPMG_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSAVPMG_RS_ATTR_CHANNEL_COUNT,
&g_RSAVPMG_RS_ATTR_DRIVER_SETUP,
&g_RSAVPMG_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSAVPMG_RS_ATTR_INSTRUMENT_MODEL,
&g_RSAVPMG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSAVPMG_RS_ATTR_OPTIONS_LIST,
&g_RSAVPMG_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSAVPMG_RS_ATTR_LOGICAL_NAME,
&g_RSAVPMG_RS_ATTR_PRIMARY_ERROR,
&g_RSAVPMG_RS_ATTR_SECONDARY_ERROR,
&g_RSAVPMG_RS_ATTR_ERROR_ELABORATION,
&g_RSAVPMG_RS_ATTR_VISA_RM_SESSION,
&g_RSAVPMG_RS_ATTR_IO_SESSION,
&g_RSAVPMG_RS_ATTR_IO_SESSION_TYPE,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSAVPMG_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSAVPMG_RS_ATTR_ENGINE_REVISION,
&g_RSAVPMG_RS_ATTR_OPC_CALLBACK,
&g_RSAVPMG_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSAVPMG_RS_ATTR_OPC_TIMEOUT,
&g_RSAVPMG_ATTR_MHL_GENERATOR_STOP,
&g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT,
&g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT_HDCP,
&g_RSAVPMG_ATTR_MHL_GENERATOR_CBUS_CONNECTION,
&g_RSAVPMG_ATTR_MHL_GENERATOR_VBUS_POWER_CABLE,
&g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_PATTERN,
&g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_INIT,
&g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_STATUS,
&g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_EXTENDED_DISPLAY_INFORMATION_DATA,
&g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_STATUS,
&g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_INIT,
&g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_CTS_PROGRESS,
&g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_CASE,
&g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_OUTPUT_REPORT_COUNT,
&g_RSAVPMG_ATTR_SELF_TEST_QUERY,
&g_RSAVPMG_ATTR_SYST_VERSION,
&g_RSAVPMG_ATTR_SYSTEM_RESET_ALL,
&g_RSAVPMG_ATTR_SYSTEM_RESET_BASE,
&g_RSAVPMG_ATTR_SYSTEM_PRESET_ALL,
&g_RSAVPMG_ATTR_SYSTEM_PRESET_BASE,
&g_RSAVPMG_ATTR_ID_QUERY_RESPONSE,
&g_RSAVPMG_ATTR_SYSTEM_ERROR,
&g_RSAVPMG_ATTR_DISPLAY_UPDATE,

VI_NULL
};
