/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpaa_InitAttributes (ViSession vi);
ViStatus rsavpaa_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpaa_CheckStatus (ViSession vi);
ViStatus rsavpaa_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavpaa_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsavpaa_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsavpaa_WaitForOPCCallback (ViSession io);
ViStatus rsavpaa_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViReal64 rsavpaa_atof (ViChar *p2buf);
