/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-09 09:24:09Z
 *****************************************************************************/

#ifndef __RSAVPAVDA_ATTRIBUTES_HEADER
#define __RSAVPAVDA_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavpavda_NAV_Int_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsavpavda_NAV_Real_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceState;
extern RsRangeTable rsavpavda_rngAVDASynchronization;
extern RsRangeTable rsavpavda_rngAVDALoopDetectionTime;
extern RsRangeTable rsavpavda_rngAVDAAllowedMissingFrames;
extern RsRangeTable rsavpavda_rngAVDAReferenceOperation;
extern RsRangeTable rsavpavda_rngQueryAVDACharacteristicsFitnessForSynchronization;
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceInputSynchronization;
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceInputColorCoding;
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceInputColorDepth;
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceInputAspectRatio;
extern RsRangeTable rsavpavda_rngQueryAVDAReferenceInputFitness;
extern RsRangeTable rsavpavda_rngAVDAReferenceState;
extern RsRangeTable rsavpavda_rngAVDALoopDetectionTimeLimit;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorThresholdSSIM;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorThresholdPSNRY;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorDuration;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorDefaultSettings;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorPicturePeriod;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorPictureTotalNumberofPeriods;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorPictureGapBetweenPeriods;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorPictureAllowedPeriods;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorPictureDefault;
extern RsRangeTable rsavpavda_rngAVDAVideoDroppedFramesLimit;
extern RsRangeTable rsavpavda_rngAVDAVideoPixelErrorLimit;
extern RsRangeTable rsavpavda_rngAVDAVideoPSNRLimit;
extern RsRangeTable rsavpavda_rngAVDAVideoSSIMLimit;
extern RsRangeTable rsavpavda_rngAVDAInputColorAnalog;
extern RsRangeTable rsavpavda_rngAVDAInputColorDigital;
extern RsRangeTable rsavpavda_rngAVDAInputAspectRatio;
extern RsRangeTable rsavpavda_rngAVDAInputColorDepth;
extern RsRangeTable rsavpavda_rngAVDAInputColorCoding;
extern RsRangeTable rsavpavda_rngAVDAInputSignalSynchronisation;
extern RsRangeTable rsavpavda_rngQueryAVDADetectionStatus;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorAudioDuration;
extern RsRangeTable rsavpavda_rngAVDAVisibleErrorAudioDefault;
extern RsRangeTable rsavpavda_rngAVDAVideoMOSVLimit;
extern RsRangeTable rsavpavda_rngQueryAVDAReferencePlaybackProgress;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPAVDA_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_START_AVDA_MEASUREMENT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_ABORT_AVDA_MEASUREMENT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_CLEAR_AVDA_MEASUREMENT_RESULTS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_REFERENCE_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LOOP_DETECTION_TIME;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_ALLOWED_MISSING_FRAMES;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_REFERENCE_OPERATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LOAD_REFERENCE_SEQUENCE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_SAVE_REFERENCE_SEQUENCE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_PLAYBACK_PROGRESS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_REFERENCE_SEQUENCE_LOAD;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_REFERENCE_SEQUENCE_STORE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_NOTE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_DATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_TIME;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_FILE_SIZE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_VIDEO_RESOLUTION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_LOOP_LENGTH;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_NUMBER_OF_FRAMES;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_FITNESS_FOR_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_MAX_SYNC_TIME_CLEAR_SIGNAL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_CHARACTERISTICS_MAX_SYNC_TIME_NOISY_SIGNAL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_RESOLUTION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_FRAME_RATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_COLOR_CODING;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_COLOR_DEPTH;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_COLOR_SPACE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_AUDIO_CHANNELS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_FILE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_FILE_DATE_TIME;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_COMMENT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_LOOP_LENGTH;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_NUMBER_OF_FRAMES;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_FITNESS_VIDEO_SYNC;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_FITNESS_AV_DELAY;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_REFERENCE_INPUT_MAX_TIME_SIGNAL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LIST_SIGNAL_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LOOP_DETECTION_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LOOP_DETECTION_TIME_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_LOOP_DETECTION_TIME_LIMIT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_FRAME_COUNT_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_CYCLE_NUMBER_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_THRESHOLD_SSIM;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_THRESHOLD_PSNR_Y;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_DURATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_DEFAULT_SETTINGS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_PICTURE_LENGTH_OF_PERIOD;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_PICTURE_TOTAL_NUMBER_OF_PERIODS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_PICTURE_GAP_BETWEEN_PERIODS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_PICTURE_ALLOWED_PERIODS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_PICTURE_DEFAULT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_AUDIO_DURATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VISIBLE_ERROR_AUDIO_DEFAULT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_DROPPED_FRAMES_LIMIT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PIXEL_ERROR_LIMIT_Y;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PIXEL_ERROR_LIMIT_CB;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PIXEL_ERROR_LIMIT_CR;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PSNR_LIMIT_Y;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PSNR_LIMIT_CB;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_PSNR_LIMIT_CR;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_SSIM_LIMIT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_MOSV_LIMIT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_HORIZONTAL_SHIFT_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_VIDEO_VERTICAL_SHIFT_STATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_MODULE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_EXTERNAL_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_COLOR_ANALOG;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_COLOR_DIGITAL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_MODULE_CATALOG;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_AUDIO_CHANNELS_COUNT;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_COLOR_DEPTH;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_COLOR_SPACE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_COLOR_CODING;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_FRAME_RATE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_RESOLUTION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_AVDA_INPUT_SIGNAL_SYNCHRONISATION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_DETECTION_STATUS;
extern RsAttrProperties g_RSAVPAVDA_ATTR_QUERY_AVDA_DETECTION_TIME;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SAVE_AVDA_LOG;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPAVDA_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPAVDA_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpavda_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpavda_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPAVDA_ATTRIBUTES_HEADER */
