/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpavda_InitAttributes (ViSession vi);
ViStatus rsavpavda_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpavda_CheckStatus (ViSession vi);
ViInt32 rsavpavda_StringIndex(ViString array[], ViChar buff[]); 
ViStatus rsavpavda_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViStatus rsavpavda_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavpavda_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsavpavda_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsavpavda_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViReal64 rsavpavda_atof (ViChar *p2buf);
ViInt32 rsavpavda_atol (ViChar *p2buf);
ViStatus rsavpavda_WaitForOPCCallback (ViSession io);
