/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2015-05-07 09:43:21Z
 *****************************************************************************/

#ifndef __RSAVPHA_ATTRIBUTES_HEADER
#define __RSAVPHA_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpha_rngHDMIAnalyzerInputDevice;
extern RsRangeTable rsavpha_rngQueryHDMIAnalyzerHDCPActive;
extern RsRangeTable rsavpha_rngQueryHDMIAnalyzerCTSState;
extern RsRangeTable rsavpha_rngQueryHDMIAnalyzerCTSProgress;
extern RsRangeTable rsavpha_rngHDMIAnalyzerCTSDataSource;
extern RsRangeTable rsavpha_rngHDMIAnalyzerCTSMode;
extern RsRangeTable rsavpha_rngHDMIAnalyzerCTSNumberOfFrames;
extern RsRangeTable rsavpha_rngQueryHDMIAnalyzerInputPixelClockLocked;
extern RsRangeTable rsavpha_rngHDMIAnalyzerCECDestination;
extern RsRangeTable rsavpha_rngHDMIAnalyzerCECOperationCode;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPHA_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPHA_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_INPUT;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_HPD_SIGNAL_STATE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_INPUT_DEVICE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_CATALOG;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INPUT_PIXEL_CLOCK_LOCKED;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_ACTIVE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INPUT_PIXEL_CLOCK;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INPUT_VIDEO_CODE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INPUT_AUDIO_CODING;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_CODE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_PIXEL_CLOCK;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_FORMAT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_FREQUENCY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_FREQUENCY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_TOTAL;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_ACTIVE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_FRONT_PORCH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_BACK_PORCH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_HORIZONTAL_PIXEL_SYNCHRONIZATION_POLARITY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_TOTAL;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_ACTIVE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_FRONT_PORCH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_BACK_PORCH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_VIDEO_VERTICAL_LINE_SYNCHRONIZATION_POLARITY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_AUDIO_CYCLE_TIME_STAMP;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_AUDIO_N;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_AUDIO_CODING;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_AUDIO_LAYOUT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_AUTHENTICATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_STATE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_SOURCE_PUBLIC_KEY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_SINK_PUBLIC_KEY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_HDCP_LINK_SYNCHRONIZATION_VALUE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_LENGTH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_CHECKSUM;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_COLOR_SPACE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_ACTIVE_FORMAT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_BAR_INFORMATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_SCAN_INFORMATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_COLORIMETRY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_PICTURE_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_ACTIVE_FORMAT_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_IT_CONTENT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_EXTENDED_COLORIMETRY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_RGB_QUANTIZATION_RANGE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_NONUNIFORM_PICTURE_SCALING;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_VIDEO_IDENTIFICATION_CODE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_YCC_QUANTIZATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_CONTENT_TYPE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_PIXEL_REPETITION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_TOP_BAR_END;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_BOTTOM_BAR_START;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_LEFT_BAR_END;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AVI_RIGHT_BAR_START;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_LENGTH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_CHECKSUM;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_CODING_TYPE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_SAMPLING_FREQUENCY;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_SAMPLING_SIZE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_CODE_EXTENSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_CHANNEL_ALLOCATION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_DOWNMIX_INHIBIT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_LEVEL_SHIFT_VALUE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_AUDIO_LFE_PLAYBACK_LEVEL;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_SPD_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_SPD_LENGTH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_SPD_CHECKSUM;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_SPD_VENDOR;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_SPD_PRODUCT_DESCRIPTION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_LENGTH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_CHECKSUM;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_BIT_RATE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_FIELD_REPEAT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_MPEG_FRAME;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_LENGTH;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_CHECKSUM;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_IEEE_ID;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_VIDEO_FORMAT;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_PIXEL_ENCODING;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_VIDEO_FORMAT_IDENTIFICATION_CODE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_3D_STRUCTURE;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_INFO_FRAME_VENDOR_3D_EXTERNAL_DATA;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_CTS_STATE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_INIT;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_STOP;
extern RsAttrProperties g_RSAVPHA_ATTR_QUERY_HDMI_ANALYZER_CTS_PROGRESS;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_DATA_SOURCE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_MODE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_NUMBER_OF_FRAMES;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_DATA_STORE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_DATA_LOAD;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CTS_TEST_OUTPUT_REPORT_COUNT;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_DESTINATION;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_OPERATION_CODE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_INIT;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_STOP;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_SEND;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_DATA_STORE;
extern RsAttrProperties g_RSAVPHA_ATTR_HDMI_ANALYZER_CEC_TEST_OUTPUT_REPORT_COUNT;
extern RsAttrProperties g_RSAVPHA_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPHA_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPHA_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPHA_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPHA_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPHA_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPHA_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPHA_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPHA_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpha_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpha_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPHA_ATTRIBUTES_HEADER */
