/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-04 11:45:48Z
 *****************************************************************************/

#ifndef __RSAVPMA_ATTRIBUTES_HEADER
#define __RSAVPMA_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavpma_quotedInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsavpma_quotedInt_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpma_rngMHLAnalyzerInput;
extern RsRangeTable rsavpma_rngMHLAnalyzerInputDevice;
extern RsRangeTable rsavpma_rngMHLAnalyzerModule;
extern RsRangeTable rsavpma_rngQueryMHLAnalyzerCBUSConnection;
extern RsRangeTable rsavpma_rngQueryMHLAnalyzerInputPixelClockLocked;
extern RsRangeTable rsavpma_rngQueryMHLAnalyzerHDCPActive;
extern RsRangeTable rsavpma_rngQueryMHLAnalyzerCTSState;
extern RsRangeTable rsavpma_rngQueryMHLAnalyzerCTSProgress;
extern RsRangeTable rsavpma_rngMHLAnalyzerCTSDataSource;
extern RsRangeTable rsavpma_rngMHLAnalyzerCTSMode;
extern RsRangeTable rsavpma_rngMHLAnalyzerCTSNumberOfFrames_001;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPMA_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPMA_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_INPUT;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_HPD_STATE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_INPUT_DEVICE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_MODULE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_CBUS_CONNECTION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INPUT_PIXEL_CLOCK_LOCKED;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_ACTIVE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INPUT_PIXEL_CLOCK;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INPUT_VIDEO_CODE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INPUT_AUDIO_CODING;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_MODULE_CATALOG;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_CODE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_PIXEL_CLOCK;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_FORMAT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VERTICAL_FREQUENCY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HORIZONTAL_FREQUENCY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_TOTAL;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_ACTIVE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_FRONT_PORCH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_BACK_PORCH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_HORIZONTAL_SYNCHRONIZATION_POLARITY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_TOTAL;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_ACTIVE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_FRONT_PORCH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_SYNCHRONIZATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_BACK_PORCH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_VIDEO_VERTICAL_SYNCHRONIZATION_POLARITY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_AUDIO_N;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_AUDIO_CYCLE_TIMESTAMP;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_AUDIO_CODING;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_AUDIO_LAYOUT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_AUTHENTICATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_STATE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_SOURCE_PUBLIC_KEY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_SINK_PUBLIC_KEY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_HDCP_LINK_SYNCHRONIZATION_VALUE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_VERSION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_LENGTH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_CHECKSUM;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_COLOR_SPACE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_ACTIVE_FORMAT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_BAR_INFORMATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_SCAN_INFORMATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_COLORIMETRY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_PICTURE_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_ACTIVE_FORMAT_ASPECT_RATIO;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_IT_CONTENT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_EXTENDED_COLORIMETRY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_RGB_QUANTIZATION_RANGE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_NONUNIFORM_PICTURE_SCALING;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_VIDEO_IDENTIFICATION_CODE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_YCC_QUANTIZATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_CONTENT_TYPE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_PIXEL_REPETITION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_TOP_BAR_END;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_BOTTOM_BAR_START;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_LEFT_BAR_END;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AVI_RIGHT_BAR_START;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_VERSION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_LENGTH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_CHECKSUM;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_CODING_TYPE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_SAMPLING_FREQUENCY;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_SAMPLING_SIZE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_CODE_EXTENSION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_CHANNEL_ALLOCATION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_DOWNMIX_INHIBIT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_LEVEL_SHIFT_VALUE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_AUDIO_LFE_PLAYBACK_LEVEL;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_SPD_VERSION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_SPD_LENGTH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_SPD_CHECKSUM;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_SPD_VENDOR;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_SPD_PRODUCT_DESCRIPTION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_VERSION;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_LENGTH;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_CHECKSUM;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_BIT_RATE;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_FIELD_REPEAT;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_INFO_FRAME_MPEG_FRAME;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_CTS_STATE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_INIT;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_STOP;
extern RsAttrProperties g_RSAVPMA_ATTR_QUERY_MHL_ANALYZER_CTS_PROGRESS;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_DATA_SOURCE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_MODE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_NUMBER_OF_FRAMES;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_DATA_STORE;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_DATA_LOAD;
extern RsAttrProperties g_RSAVPMA_ATTR_MHL_ANALYZER_CTS_TEST_OUTPUT_REPORT_COUNT;
extern RsAttrProperties g_RSAVPMA_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPMA_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPMA_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPMA_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPMA_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPMA_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPMA_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPMA_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPMA_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpma_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpma_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPMA_ATTRIBUTES_HEADER */
