/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-03 09:36:33Z
 *****************************************************************************/

#ifndef __RSAVPMG_ATTRIBUTES_HEADER
#define __RSAVPMG_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpmg_rngMHLGeneratorOutput;
extern RsRangeTable rsavpmg_rngMHLGeneratorCBUSConnection;
extern RsRangeTable rsavpmg_rngMHLGeneratorSignalPattern;
extern RsRangeTable rsavpmg_rngMHLGeneratorSignalStatus;
extern RsRangeTable rsavpmg_rngQueryMHLGeneratorExtendedDisplayInformationData;
extern RsRangeTable rsavpmg_rngMHLGeneratorCTSStatus;
extern RsRangeTable rsavpmg_rngQueryMHLGeneratorCTSProgress;
extern RsRangeTable rsavpmg_rngMHLGeneratorCTSTestCase;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPMG_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPMG_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_STOP;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_OUTPUT_HDCP;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_CBUS_CONNECTION;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_VBUS_POWER_CABLE;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_PATTERN;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_INIT;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_SIGNAL_STATUS;
extern RsAttrProperties g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_EXTENDED_DISPLAY_INFORMATION_DATA;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_STATUS;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_INIT;
extern RsAttrProperties g_RSAVPMG_ATTR_QUERY_MHL_GENERATOR_CTS_PROGRESS;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_CASE;
extern RsAttrProperties g_RSAVPMG_ATTR_MHL_GENERATOR_CTS_TEST_OUTPUT_REPORT_COUNT;
extern RsAttrProperties g_RSAVPMG_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPMG_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPMG_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPMG_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPMG_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPMG_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPMG_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPMG_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPMG_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpmg_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpmg_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPMG_ATTRIBUTES_HEADER */
