/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpmg_InitAttributes (ViSession vi);
ViStatus rsavpmg_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpmg_CheckStatus (ViSession vi);
ViStatus rsavpmg_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViStatus rsavpmg_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViStatus rsavpmg_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavpmg_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsavpmg_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsavpmg_WaitForOPCCallback (ViSession io);
ViInt32 rsavpmg_atol (ViChar *p2buf);
