/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2013-10-02 15:50:38Z
 *****************************************************************************/

#ifndef __RSAVPVA_ATTRIBUTES_HEADER
#define __RSAVPVA_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsavpva_rngVideoAnalyzerInput;
extern RsRangeTable rsavpva_rngVideoAnalyzerAverageCount;
extern RsRangeTable rsavpva_rngVideoAnalyzerColorAnalog;
extern RsRangeTable rsavpva_rngVideoAnalyzerColorDigital;
extern RsRangeTable rsavpva_rngQueryVideoAnalyzerInputStandard;
extern RsRangeTable rsavpva_rngVideoAnalyzerScopeView;
extern RsRangeTable rsavpva_rngVideoAnalyzerCursorType;
extern RsRangeTable rsavpva_rngVideoAnalyzerVectorGain;
extern RsRangeTable rsavpva_rngVideoAnalyzerVectorPhase;
extern RsRangeTable rsavpva_rngVideoAnalyzerTab;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSAVPVA_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CACHE;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPY;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSAVPVA_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_TAB;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_INPUT;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_EXTERNAL_FREEZE;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_AVERAGE_COUNT;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_COLOR_ANALOG;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_COLOR_DIGITAL;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_CATALOG;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_INPUT_RESOLUTION;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_INPUT_STANDARD;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_AVERAGING_LEVEL;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_DIGITAL_COLOR;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_SCOPE_VIEW;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_CURSOR_TYPE;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_VECTOR_GAIN;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_VECTOR_PHASE;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_WAVEFORM_CURSOR_CENTER;
extern RsAttrProperties g_RSAVPVA_ATTR_VIDEO_ANALYZER_WAVEFORM_CURSOR_SPAN;
extern RsAttrProperties g_RSAVPVA_ATTR_QUERY_VIDEO_ANALYZER_WAVEFORM_STATE;
extern RsAttrProperties g_RSAVPVA_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSAVPVA_ATTR_SYST_VERSION;
extern RsAttrProperties g_RSAVPVA_ATTR_SYSTEM_RESET_ALL;
extern RsAttrProperties g_RSAVPVA_ATTR_SYSTEM_RESET_BASE;
extern RsAttrProperties g_RSAVPVA_ATTR_SYSTEM_PRESET_ALL;
extern RsAttrProperties g_RSAVPVA_ATTR_SYSTEM_PRESET_BASE;
extern RsAttrProperties g_RSAVPVA_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSAVPVA_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSAVPVA_ATTR_DISPLAY_UPDATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsavpva_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsavpva_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSAVPVA_ATTRIBUTES_HEADER */
