/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

ViStatus rsavpva_InitAttributes (ViSession vi);
ViStatus rsavpva_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsavpva_CheckStatus (ViSession vi);
ViStatus rsavpva_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViStatus rsavpva_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsavpva_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus rsavpva_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsavpva_WaitForOPCCallback (ViSession io);
ViStatus rsavpva_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViReal64 rsavpva_atof (ViChar *p2buf);
ViInt32 rsavpva_atol (ViChar *p2buf);
